﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Atnd
{
    class StandardInputLine
    {
        const string EMPTY = "";

        bool measure;
        int point;

        public bool standard_input_output(string label)
        {
            bool b = false;
            Encoding MS932 = Encoding.GetEncoding(932);
            int maximum = 0;
            int line_number = 1;
            int m = 0;
            int n = 0;

            string line = EMPTY;
            string save = EMPTY;

            for (; ; )
            {
                line = Console.ReadLine();
                if (line == null)
                {
                    break;
                }

                n += 1;
                if (n == point)
                {
                    b = true;
                    save = line;
                }

                m = MS932.GetByteCount(line);
                if (m > maximum)
                {
                    line_number = n;
                    maximum = m;
                }

            }

            if (measure)
            {
                Console.Write(label);
                Console.Write(": ");
                Console.Write(n);
                if (n == 1)
                {
                    Console.WriteLine(" line");
                }
                else
                {
                    Console.WriteLine(" lines");
                }

                Console.Write("maximum LF-to-LF span of ");
                Console.Write(maximum);
                Console.Write(" bytes (line-");
                Console.Write(line_number);
                Console.WriteLine(")");
            }

            Console.WriteLine(save);
            return b;
        }

        public StandardInputLine(int p, bool m)
        {
            measure = m;
            point = p;
        }

    }
}
