﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Hetn
{
    class ComboAppend
    {
        char separator;
        StringBuilder combo;

        public ComboAppend()
        {
            separator = '\t';
            combo = new StringBuilder();
        }

        public ComboAppend(char s)
        {
            separator = s;
            combo = new StringBuilder();
        }

        public string built()
        {
            return combo.ToString();
        }

        public string toString()
        {
            return combo.ToString();
        }

        public void append(byte b)
        {
            combo.Append(b);
        }

        public void append(char c)
        {
            combo.Append(c);
        }

        public void append(double d)
        {
            combo.Append(d);
        }

        public void append(int n)
        {
            combo.Append(n);
        }

        public void append(string s)
        {
            combo.Append(s);
        }

        public void separatorFollows(byte b)
        {
            combo.Append(b);
            combo.Append(separator);
        }

        public void separatorFollows(char c)
        {
            combo.Append(c);
            combo.Append(separator);
        }

        public void separatorFollows(double d)
        {
            combo.Append(d);
            combo.Append(separator);
        }

        public void separatorFollows(int n)
        {
            combo.Append(n);
            combo.Append(separator);
        }

        public void separatorFollows(string s)
        {
            combo.Append(s);
            combo.Append(separator);
        }

    }
}
