﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;

namespace Sortk
{
    class SegmentedSummary
    {
// Please find "// constructors" for their definitions.
        const char CLEAR = '0';
        const char COMMA = ',';
        const char GAP = ' ';
        const char QUOTE = '"';
        const char SET = '1';
        const int FIELD_COUNT = 3072;
        const int NOT_RECOGNIZED = -1;
        const string EMPTY = "";
        const string NEW_LINE = "\n";
        const string N_0TO9 = "0123456789";
        const string N_0TO9_MINUS = "-0123456789";

        bool[] full_house = {true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, 
            true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, 
            true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, 
            true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, 
            true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, 
            true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, 
            true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true};

        bool remove_separators;
        bool[] selected;
        char differs_from_joint, joint, quote, separator;
        protected delegate string EditFunction(string s);
        FieldsList f;
        List<string> a; // vector
        protected int field_count;
        string combo, pattern;

        private int leadingCharacters(string full, char character)
        {
            int fullLength = full.Length;
            int k;
            char c;
            for (k = 0; k < fullLength; ++k)
            {
                c = full[k];
                if (c == character)
                {
                    continue;
                }
                else
                {
                    break;
                }

            }

            return k;
        }

        private int leadingNumbers(string full)
        {
            int fullLength = full.Length;
            int k, q;
            string c;
            for (k = 0; k < fullLength; ++k)
            {
                c = full.Substring(k, 1);
                q = N_0TO9.IndexOf(c);
                if (q >= 0)
                {
                    continue;
                }
                else
                {
                    break;
                }

            }

            return k;
        }

        private int positiveOrNegativeNumbers(string full)
        {
            int fullLength = full.Length;
            int q;
            int k = 0;
            string c = full.Substring(k, 1);

            q = N_0TO9_MINUS.IndexOf(c);
            if (q >= 0)
            {
                for (k = 1; k < fullLength; ++k)
                {
                    c = full.Substring(k, 1);

                    q = N_0TO9.IndexOf(c);
                    if (q >= 0)
                    {
                        continue;
                    }
                    else
                    {
                        break;
                    }

                }

            }

            return k;
        }

        private int reachNumber(string full)
        {
            int fullLength = full.Length;
            int k, q;
            string c;
            for (k = 0; k < fullLength; ++k)
            {
                c = full.Substring(k, 1);
                q = N_0TO9_MINUS.IndexOf(c);
                if (q >= 0)
                {
                    break;
                }
                else
                {
                    continue;
                }

            }

            return k;
        }

        private int trailingNumbers(string full)
        {
            int fullLength = full.Length;
            int k, q, n;
            string c;
            for (n = 0; n < fullLength; ++n)
            {
                k = fullLength - 1 - n;
                c = full.Substring(k, 1);

                q = N_0TO9.IndexOf(c);
                if (q >= 0)
                {
                    continue;
                }
                else
                {
                    q = N_0TO9_MINUS.IndexOf(c);
                    if (q >= 0)
                    {
                        ++n;
                    }

                    break;
                }

            }

            return n;
        }

        private void vector_to_array_mapping()
        {
            int k = 0;

            foreach (string s in a)
            {
                f.fieldsList(s, k++);
            }

        }

        protected void vector_to_array_editing(EditFunction editing)
        {
            int k = 0;

            foreach (string s in a)
            {
                f.fieldsList( editing(s), k++);
            }

        }

        protected void vector_to_array_editing(EditFunction editing, int field_number)
        {
            int field_number_1 = field_number - 1;
            int k = 0;

            foreach (string s in a)
            {
                if (k == field_number_1)
                {
                    f.fieldsList( editing(s), k++);
                }
                else
                {
                    f.fieldsList(s, k++);
                }

            }

        }

        public bool uniqueCombo(HashSet<string> h)
        {
            bool added = false;
            int count = h.Count;

            h.Add(combo);
            if (h.Count > count)
            {
                added = true;
            }

            return added;
        }

        public bool uniqueFieldsList(HashSet<string> h)
        {
            bool added = false;
            int count = h.Count;
            int array_size = a.Count;
            StringBuilder os = new StringBuilder();

            for (int i = 0; i < array_size; ++i)
            {
                os.Append( f.fieldsList(i) );
                os.Append(joint);
            }

            combo = os.ToString();
            h.Add(combo);
            if (h.Count > count)
            {
                added = true;
            }

            return added;
        }

        public bool uniqueFieldsList(HashSet<string> h, char c)
        {
            bool added = false;
            int count = h.Count;
            int array_size = a.Count;
            StringBuilder os = new StringBuilder();

            string head = f.fieldsList(0); // i = 0
            int k = leadingCharacters(head, c);
            os.Append( head.Substring(k) );

            for (int i = 1; i < array_size; ++i)
            {
                os.Append( f.fieldsList(i) );
                os.Append(joint);
            }

            combo = os.ToString();
            h.Add(combo);
            if (h.Count > count)
            {
                added = true;
            }

            return added;
        }

        public virtual int editing(string p)
        {
            smashed_to_pieces(p);

            vector_to_array_editing(transparent);
            return field_count;
        }

        public int extracting_double_from_field(string p)
        {
            smashed_to_pieces(p);

            vector_to_array_editing(extract_double);
            return field_count;
        }

        public int extracting_integer_from_field(string p)
        {
            smashed_to_pieces(p);

            vector_to_array_editing(extract_integer);
            return field_count;
        }

        public int fieldCount()
        {
            return field_count;
        }

        public int mapping_fields_list(string p)
        {
            smashed_to_pieces(p);

            vector_to_array_mapping();
            return field_count;
        }

        public int search_separator(string p, int beginning)
        {
            bool no_splitting = false;
            char n;
            int k;
            int s = NOT_RECOGNIZED;

            for (k = beginning; k < p.Length; ++k)
            {
                n = p[k];

                if (no_splitting)
                {
                    if (n == quote)
                    {
                        no_splitting = false;
                    }

                    continue; // Commas disappear if placed in quotes.
                }

// splitting
                if (n == quote)
                {
                    no_splitting = true;
                }
                else if (n == separator)
                {
                    s = k;
                    break;
                }

            }

            return s;
        }

        public int segmented_summary(string p)
        {
            bool no_splitting = false;
            char appended = differs_from_joint;
            char n;
            int field_number = 1;
            int m = 0;
            StringBuilder os = new StringBuilder();

            for (int k = 0; k < p.Length; ++k)
            {
                n = p[k];

                if (no_splitting)
                {
                    if (n == quote)
                    {
                        no_splitting = false;
                        if (selected[field_number])
                        {
                            os.Append(n);
                            ++m;
                            appended = n;
                        }

                    }
                    else if (n == separator)
                    {
                        if (remove_separators)
                        {
                            continue;
                        }
                        else
                        {
                            if (selected[field_number])
                            {
                                os.Append(n);
                                ++m;
                                appended = n;
                            }

                        }

                    }
                    else
                    {
                        if (selected[field_number])
                        {
                            os.Append(n);
                            ++m;
                            appended = n;
                        }

                    }

                    continue;
                }

// splitting
                if (n == quote)
                {
                    no_splitting = true;
                    if (selected[field_number])
                    {
                        os.Append(n);
                        ++m;
                        appended = n;
                    }

                }
                else if (n == separator)
                {
                    if (selected[field_number])
                    {
                        os.Append(joint);
                        ++m;
                        appended = joint;
                    }

                    field_number += 1;
                    if (field_number > field_count)
                    {
                        break;
                    }

                }
                else
                {
                    if (selected[field_number])
                    {
                        os.Append(n);
                        ++m;
                        appended = n;
                    }

                }

            }

            if (appended == joint)
            {
                field_number -= 1;
            }

            field_count = field_number;
            combo = os.ToString();
            return m;
        }

        public int smashed_to_pieces(string p)
        {
            bool no_splitting = false;
            char n;
            int field_number = 1;
            int m = 0;
            StringBuilder os = new StringBuilder();

            for (int k = 0; k < p.Length; ++k)
            {
                n = p[k];

                if (no_splitting)
                {
                    if (n == QUOTE)
                    {
                        no_splitting = false;
                        if (selected[field_number])
                        {
                            os.Append(n);
                            ++m;
                        }

                    }
                    else if (n == separator)
                    {
                        if (remove_separators)
                        {
                            continue;
                        }
                        else
                        {
                            if (selected[field_number])
                            {
                                os.Append(n);
                                ++m;
                            }

                        }

                    }
                    else
                    {
                        if (selected[field_number])
                        {
                            os.Append(n);
                            ++m;
                        }

                    }

                    continue;
                }

// splitting
                if (n == QUOTE)
                {
                    no_splitting = true;
                    if (selected[field_number])
                    {
                        os.Append(n);
                        ++m;
                    }

                }
                else if (n == separator)
                {
                    if (selected[field_number])
                    {
                        a.Add( os.ToString() ); // List<string>
                    }

                    os = new StringBuilder();
                    m = 0;
                    field_number += 1;
                    if (field_number > field_count)
                    {
                        break;
                    }

                }
                else
                {
                    if (selected[field_number])
                    {
                        os.Append(n);
                        ++m;
                    }

                }

            }

            if (m > 0)
            {
                if (selected[field_number])
                {
                    a.Add( os.ToString() ); // List<string>
                }

            }
            else
            {
                field_number -= 1;
            }

            field_count = field_number;
            return m;
        }

        public string compactCombo(char c)
        {
            int k = leadingCharacters(combo, c);
            combo = combo.Substring(k);
            return combo;
        }

        public string supplying_bits(int c)
        {
            StringBuilder os = new StringBuilder();

            field_count = c;
            if (field_count > FIELD_COUNT)
            {
                field_count = FIELD_COUNT;
            }

            for (int i = 0; i < field_count; ++i)
            {
                os.Append(SET);
            }

            pattern = os.ToString();
            return pattern;
        }

        public string surge_of_set_bits(int f, int from, int to)
        {
        //   surge_of_set_bits
        // 0011111000000000000, for example
            field_count = f;

            int from_1 = from - 1;
            int k;
            int surge_length = to - from + 1;
            int to_1 = to - 1;
            StringBuilder os = new StringBuilder();

            if (surge_length > field_count)
            {
                surge_length = field_count;
                for (int i = 0; i < surge_length; ++i)
                {
                    os.Append(SET);
                }

            }
            else
            {
                for (k = 0; k < from_1; ++k)
                {
                    os.Append(CLEAR);
                }

                for (k = from_1; k <= to_1; ++k)
                {
                    os.Append(SET);
                }

                for (k = to; k < field_count; ++k)
                {
                    os.Append(CLEAR);
                }

            }

            pattern = os.ToString();
            return pattern;
        }

        public string unite()
        {
            int array_size = a.Count;
            StringBuilder os = new StringBuilder();

            for (int i = 0; i < array_size; ++i)
            {
                os.Append( f.fieldsList(i) );
                os.Append(joint);
            }

            combo = os.ToString();
            return combo;
        }

        public string unite(char c)
        {
            int array_size = a.Count;
            StringBuilder os = new StringBuilder();

            string head = f.fieldsList(0); // i = 0
            int k = leadingCharacters(head, c);
            os.Append( head.Substring(k) );

            for (int i = 1; i < array_size; ++i)
            {
                os.Append( f.fieldsList(i) );
                os.Append(joint);
            }

            combo = os.ToString();
            return combo;
        }

        public string unite(string p, bool listed)
        {
            int array_size = a.Count;
            StringBuilder os = new StringBuilder();

            if (! listed)
            {
                mapping_fields_list(p);
            }

            for (int i = 0; i < array_size; ++i)
            {
                os.Append( f.fieldsList(i) );
                os.Append(joint);
            }

            combo = os.ToString();
            return combo;
        }

        public string unite(string p, char c, bool listed)
        {
            int array_size = a.Count;
            StringBuilder os = new StringBuilder();

            if (! listed)
            {
                mapping_fields_list(p);
            }

            string head = f.fieldsList(0); // i = 0
            int k = leadingCharacters(head, c);
            os.Append( head.Substring(k) );

            for (int i = 1; i < array_size; ++i)
            {
                os.Append( f.fieldsList(i) );
                os.Append(joint);
            }

            combo = os.ToString();
            return combo;
        }

        public void setting(char j, char q)
        {
            joint = j;
            quote = q;

            int n = (int)joint;
            ++n;
            differs_from_joint = (char)n;
        }

        public XmlElement doubleElement(XmlDocument x, string p)
        {
            int double_count = a.Count;
            XmlElement record = x.CreateElement("summary_details");
            XmlElement summary = x.CreateElement("double_count");
            summary.InnerText = double_count.ToString();
            record.AppendChild(summary);

            for (int i = 0; i < double_count; ++i)
            {
                summary = x.CreateElement("double");
                summary.InnerText = f.fieldsList(i);
                record.AppendChild(summary);
            }

            XmlElement details = x.CreateElement("hetn");
            details.InnerText = p;
            record.AppendChild(details);
            return record;
        }

        public XmlElement doubleElement(XmlDocument x, string p, int line_ID)
        {
            int double_count = a.Count;
            XmlElement record = x.CreateElement("summary_details");

            XmlElement summary = x.CreateElement("unique_id");
            summary.InnerText = line_ID.ToString();
            record.AppendChild(summary);

            summary = x.CreateElement("double_count");
            summary.InnerText = double_count.ToString();
            record.AppendChild(summary);

            for (int i = 0; i < double_count; ++i)
            {
                summary = x.CreateElement("double");
                summary.InnerText = f.fieldsList(i);
                record.AppendChild(summary);
            }

            XmlElement details = x.CreateElement("hetn");
            details.InnerText = p;
            record.AppendChild(details);
            return record;
        }

        public XmlElement integerElement(XmlDocument x, string p)
        {
            int integer_count = a.Count;
            XmlElement record = x.CreateElement("summary_details");
            XmlElement summary = x.CreateElement("integer_count");
            summary.InnerText = integer_count.ToString();
            record.AppendChild(summary);

            for (int i = 0; i < integer_count; ++i)
            {
                summary = x.CreateElement("integer");
                summary.InnerText = f.fieldsList(i);
                record.AppendChild(summary);
            }

            XmlElement details = x.CreateElement("hetn");
            details.InnerText = p;
            record.AppendChild(details);
            return record;
        }

        public XmlElement integerElement(XmlDocument x, string p, int line_ID)
        {
            int integer_count = a.Count;
            XmlElement record = x.CreateElement("summary_details");

            XmlElement summary = x.CreateElement("unique_id");
            summary.InnerText = line_ID.ToString();
            record.AppendChild(summary);

            summary = x.CreateElement("integer_count");
            summary.InnerText = integer_count.ToString();
            record.AppendChild(summary);

            for (int i = 0; i < integer_count; ++i)
            {
                summary = x.CreateElement("integer");
                summary.InnerText = f.fieldsList(i);
                record.AppendChild(summary);
            }

            XmlElement details = x.CreateElement("hetn");
            details.InnerText = p;
            record.AppendChild(details);
            return record;
        }

        public XmlElement phraseElement(XmlDocument x, string p)
        {
            int string_length = combo.Length;
            XmlElement record = x.CreateElement("summary_details");
            XmlElement summary = x.CreateElement("string_length");
            summary.InnerText = string_length.ToString();
            record.AppendChild(summary);

            summary = x.CreateElement("string");
            summary.InnerText = combo;
            record.AppendChild(summary);

            XmlElement details = x.CreateElement("hetn");
            details.InnerText = p;
            record.AppendChild(details);
            return record;
        }

        public XmlElement phraseElement(XmlDocument x, string p, char c)
        {
            int string_length = combo.Length;
            XmlElement record = x.CreateElement("summary_details");
            XmlElement summary = x.CreateElement("string_length");
            summary.InnerText = string_length.ToString();
            record.AppendChild(summary);

            int k = leadingCharacters(combo, c);
            summary = x.CreateElement("string");
            summary.InnerText = combo.Substring(k);
            record.AppendChild(summary);

            XmlElement details = x.CreateElement("hetn");
            details.InnerText = p;
            record.AppendChild(details);
            return record;
        }

        public XmlElement phraseElement(XmlDocument x, string p, int line_ID)
        {
            int string_length = combo.Length;
            XmlElement record = x.CreateElement("summary_details");

            XmlElement summary = x.CreateElement("unique_id");
            summary.InnerText = line_ID.ToString();
            record.AppendChild(summary);

            summary = x.CreateElement("string_length");
            summary.InnerText = string_length.ToString();
            record.AppendChild(summary);

            summary = x.CreateElement("string");
            summary.InnerText = combo;
            record.AppendChild(summary);

            XmlElement details = x.CreateElement("hetn");
            details.InnerText = p;
            record.AppendChild(details);
            return record;
        }

        public XmlElement phraseElement(XmlDocument x, string p, int line_ID, char c)
        {
            int string_length = combo.Length;
            XmlElement record = x.CreateElement("summary_details");

            XmlElement summary = x.CreateElement("unique_id");
            summary.InnerText = line_ID.ToString();
            record.AppendChild(summary);

            summary = x.CreateElement("string_length");
            summary.InnerText = string_length.ToString();
            record.AppendChild(summary);

            int k = leadingCharacters(combo, c);
            summary = x.CreateElement("string");
            summary.InnerText = combo.Substring(k);
            record.AppendChild(summary);

            XmlElement details = x.CreateElement("hetn");
            details.InnerText = p;
            record.AppendChild(details);
            return record;
        }

        string extract_double(string field)
        {
            int digit_count, p, trace;
            string head, tail;
            StringBuilder os = new StringBuilder();

            p = field.IndexOf('.');
            if (p >= 0)
            {
                trace = p;
                head = field.Substring(0, p);
                tail = field.Substring( p + 1 );

                digit_count = leadingNumbers(tail);
                tail = tail.Substring(0, digit_count);

                digit_count = trailingNumbers(head);
                if (digit_count == 0)
                {
                    head = "0";
                }
                else
                {
                    p = trace - digit_count;
                    head = head.Substring(p, digit_count);
                }

                os.Append(head);
                os.Append('.');
                os.Append(tail);
            }
            else
            {
                os.Append('0');
                os.Append('.');
                os.Append('0');
            }

            return os.ToString();
        }

        string extract_integer(string field)
        {
            int digit_count, p;
            string body = EMPTY;
            int not_found = field.Length;

            p = reachNumber(field);
            if (p == not_found)
            {
                body = "0";
            }
            else
            {
                body = field.Substring(p);
                digit_count = positiveOrNegativeNumbers(body);
                body = body.Substring(0, digit_count);
            }

            return body;
        }

        string transparent(string field)
        {
            return field;
        }

// constructors
        public SegmentedSummary(char s)
        {
            separator = s;

            field_count = FIELD_COUNT;
            remove_separators = false;
            selected = new bool[ field_count + 1 ];
            for (int m = 0; m < field_count; ++m)
            {
                selected[ m + 1 ] = true;
            }

        }

        public SegmentedSummary(char s, bool r)
        {
            remove_separators = r;
            separator = s;

            field_count = FIELD_COUNT;
            selected = new bool[ field_count + 1 ];
            for (int m = 0; m < field_count; ++m)
            {
                selected[ m + 1 ] = true;
            }

        }

        public SegmentedSummary(char s, byte c)
        {
            field_count = (int)c; // 0 to 255
            separator = s;

            remove_separators = false;
            selected = full_house;
        }

        public SegmentedSummary(char s, byte c, bool r)
        {
            field_count = (int)c; // 0 to 255
            remove_separators = r;
            separator = s;

            selected = full_house;
        }

        public SegmentedSummary(int c, char s)
        {
            separator = s;

            field_count = c;
            if(field_count > FIELD_COUNT) {
                field_count = FIELD_COUNT;
            }

            remove_separators = false;
            selected = new bool[ field_count + 1 ];
            for (int m = 0; m < field_count; ++m)
            {
                selected[ m + 1 ] = true;
            }

        }

        public SegmentedSummary(int c, char s, bool r)
        {
            remove_separators = r;
            separator = s;

            field_count = c;
            if (field_count > FIELD_COUNT)
            {
                field_count = FIELD_COUNT;
            }

            selected = new bool[ field_count + 1 ];
            for (int m = 0; m < field_count; ++m)
            {
                selected[ m + 1 ] = true;
            }

        }

        public SegmentedSummary(string p, char s, byte c)
        {
            char b;

            field_count = (int)c; // 0 to 255
            pattern = p;
            separator = s;

            remove_separators = false;
            selected = new bool[ field_count + 1 ];
            for (int m = 0; m < field_count; ++m)
            {
                b = p[m];
                selected[ m + 1 ] = (b == SET) ? true : false;
            }

        }

        public SegmentedSummary(string p, char s, byte c, bool r)
        {
            char b;

            field_count = (int)c; // 0 to 255
            pattern = p;
            remove_separators = r;
            separator = s;

            selected = new bool[ field_count + 1 ];
            for (int m = 0; m < field_count; ++m)
            {
                b = p[m];
                selected[ m + 1 ] = (b == SET) ? true : false;
            }

        }

        public SegmentedSummary(string p, int c, char s)
        {
            char b;

            pattern = p;
            separator = s;

            field_count = c;
            if(field_count > FIELD_COUNT) {
                field_count = FIELD_COUNT;
            }

            remove_separators = false;
            selected = new bool[ field_count + 1 ];
            for (int m = 0; m < field_count; ++m)
            {
                b = p[m];
                selected[ m + 1 ] = (b == SET) ? true : false;
            }

        }

        public SegmentedSummary(string p, int c, char s, bool r)
        {
            char b;

            pattern = p;
            remove_separators = r;
            separator = s;

            field_count = c;
            if(field_count > FIELD_COUNT) {
                field_count = FIELD_COUNT;
            }

            selected = new bool[ field_count + 1 ];
            for (int m = 0; m < field_count; ++m)
            {
                b = p[m];
                selected[ m + 1 ] = (b == SET) ? true : false;
            }

        }

        public SegmentedSummary(FieldsList fields_list, char s)
        {
            f = fields_list;
            separator = s;

            field_count = FIELD_COUNT;
            remove_separators = false;
            a = new List<string>();
            selected = new bool[ field_count + 1 ];
            for (int m = 0; m < field_count; ++m)
            {
                selected[ m + 1 ] = true;
            }

        }

        public SegmentedSummary(FieldsList fields_list, char s, bool r)
        {
            f = fields_list;
            remove_separators = r;
            separator = s;

            field_count = FIELD_COUNT;
            a = new List<string>();
            selected = new bool[ field_count + 1 ];
            for (int m = 0; m < field_count; ++m)
            {
                selected[ m + 1 ] = true;
            }

        }

        public SegmentedSummary(FieldsList fields_list, char s, byte c)
        {
            f = fields_list;
            field_count = (int)c; // 0 to 255
            separator = s;

            remove_separators = false;
            a = new List<string>();
            selected = full_house;
        }

        public SegmentedSummary(FieldsList fields_list, char s, byte c, bool r)
        {
            f = fields_list;
            field_count = (int)c; // 0 to 255
            remove_separators = r;
            separator = s;

            a = new List<string>();
            selected = full_house;
        }

        public SegmentedSummary(FieldsList fields_list, int c, char s)
        {
            f = fields_list;
            separator = s;

            field_count = c;
            if(field_count > FIELD_COUNT) {
                field_count = FIELD_COUNT;
            }

            remove_separators = false;
            a = new List<string>();
            selected = new bool[ field_count + 1 ];
            for (int m = 0; m < field_count; ++m)
            {
                selected[ m + 1 ] = true;
            }

        }

        public SegmentedSummary(FieldsList fields_list, int c, char s, bool r)
        {
            f = fields_list;
            remove_separators = r;
            separator = s;

            field_count = c;
            if (field_count > FIELD_COUNT)
            {
                field_count = FIELD_COUNT;
            }

            a = new List<string>();
            selected = new bool[ field_count + 1 ];
            for (int m = 0; m < field_count; ++m)
            {
                selected[ m + 1 ] = true;
            }

        }

        public SegmentedSummary(FieldsList fields_list, string p, char s, byte c)
        {
            char b;

            f = fields_list;
            field_count = (int)c; // 0 to 255
            pattern = p;
            separator = s;

            remove_separators = false;
            a = new List<string>();
            selected = new bool[ field_count + 1 ];
            for (int m = 0; m < field_count; ++m)
            {
                b = p[m];
                selected[ m + 1 ] = (b == SET) ? true : false;
            }

        }

        public SegmentedSummary(FieldsList fields_list, string p, char s, byte c, bool r)
        {
            char b;

            f = fields_list;
            field_count = (int)c; // 0 to 255
            pattern = p;
            remove_separators = r;
            separator = s;

            a = new List<string>();
            selected = new bool[ field_count + 1 ];
            for (int m = 0; m < field_count; ++m)
            {
                b = p[m];
                selected[ m + 1 ] = (b == SET) ? true : false;
            }

        }

        public SegmentedSummary(FieldsList fields_list, string p, int c, char s)
        {
            char b;

            f = fields_list;
            pattern = p;
            separator = s;

            field_count = c;
            if(field_count > FIELD_COUNT) {
                field_count = FIELD_COUNT;
            }

            remove_separators = false;
            a = new List<string>();
            selected = new bool[ field_count + 1 ];
            for (int m = 0; m < field_count; ++m)
            {
                b = p[m];
                selected[ m + 1 ] = (b == SET) ? true : false;
            }

        }

        public SegmentedSummary(FieldsList fields_list, string p, int c, char s, bool r)
        {
            char b;

            f = fields_list;
            pattern = p;
            remove_separators = r;
            separator = s;

            field_count = c;
            if(field_count > FIELD_COUNT) {
                field_count = FIELD_COUNT;
            }

            a = new List<string>();
            selected = new bool[ field_count + 1 ];
            for (int m = 0; m < field_count; ++m)
            {
                b = p[m];
                selected[ m + 1 ] = (b == SET) ? true : false;
            }

        }

    }
}
